org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_TOOLBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_TOOLBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_TOOLBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_TOOLBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_TOOLBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_TOOLBARNode` | `bindActive(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindToolbardesign(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_TOOLBARNode` | `setActionListener(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setActive(boolean value)`
    `UI5M_TOOLBARNode` | `setActive(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setComment(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setEnabled(boolean value)`
    `UI5M_TOOLBARNode` | `setEnabled(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setHeight(int value)`
    `UI5M_TOOLBARNode` | `setHeight(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setId(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setReference(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setRendered(boolean value)`
    `UI5M_TOOLBARNode` | `setRendered(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setStyleseq(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setStylevariant(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setToolbardesign(java.lang.String value)`
    `UI5M_TOOLBARNode` | `setWidth(int value)`
    `UI5M_TOOLBARNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_TOOLBARNode

          public UI5M_TOOLBARNode()

  - ### Method Detail

    - #### setId

          public UI5M_TOOLBARNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_TOOLBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_TOOLBARNode bindActionListener(IActionListenerDelegation value)

    - #### setActive

          public UI5M_TOOLBARNode setActive(java.lang.String value)

    - #### bindActive

          public UI5M_TOOLBARNode bindActive(IDynamicContentBindingObject value)

    - #### setActive

          public UI5M_TOOLBARNode setActive(boolean value)

    - #### setAdapterbinding

          public UI5M_TOOLBARNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_TOOLBARNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_TOOLBARNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_TOOLBARNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_TOOLBARNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_TOOLBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_TOOLBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_TOOLBARNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_TOOLBARNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_TOOLBARNode setEnabled(boolean value)

    - #### setHeight

          public UI5M_TOOLBARNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_TOOLBARNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_TOOLBARNode setHeight(int value)

    - #### setLayoutdata

          public UI5M_TOOLBARNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_TOOLBARNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_TOOLBARNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_TOOLBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_TOOLBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_TOOLBARNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_TOOLBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_TOOLBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_TOOLBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_TOOLBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setToolbardesign

          public UI5M_TOOLBARNode setToolbardesign(java.lang.String value)

    - #### bindToolbardesign

          public UI5M_TOOLBARNode bindToolbardesign(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TOOLBARNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_TOOLBARNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TOOLBARNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.